Bug 5848 - Same position for the tabs of Normal, MARC and ISBD view in opac detail
Summary: Same position for the tabs of Normal, MARC and ISBD view in opac detail
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: PATCH-Sent (DO NOT USE) enhancement (vote)
Assignee: Marcel de Rooy
QA Contact: Bugs List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-03-10 13:06 UTC by Marcel de Rooy
Modified: 2012-10-25 23:03 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Patch (7.76 KB, patch)
2011-03-10 13:50 UTC, Marcel de Rooy
Details | Diff | Splinter Review
normal view like it is now (41.32 KB, image/png)
2011-03-13 20:09 UTC, Katrin Fischer
Details
normal view after patch (39.38 KB, image/png)
2011-03-13 20:09 UTC, Katrin Fischer
Details
duplicated tabs (40.81 KB, image/png)
2011-03-14 15:02 UTC, Julian Maurice
Details
Patch for Unimarc stylesheet (1.50 KB, patch)
2011-03-16 10:04 UTC, Julian Maurice
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Marcel de Rooy 2011-03-10 13:06:10 UTC
The tabs Normal View, MARC and ISBD are shown below the title in OPAC normal view. For MARC and ISBD view the name of the view is added to the left of the tabs.

This proposed patch puts the three tabs at the same position for Normal, MARC and ISBD view. The text of the current view is made bold; additional titles for MARC/ISBD are not needed anymore and thus removed.

A few hardcoded styles have been moved from the template to opac.css allowing improved customization.
Comment 1 Marcel de Rooy 2011-03-10 13:49:52 UTC
Please test all three views
1) with OPACXSLTDetailsDisplay enabled 
   [MARC View: Test also "View plain" here]
2) with OPACXSLTDetailsDisplay disabled.
Comment 2 Marcel de Rooy 2011-03-10 13:50:34 UTC
Created attachment 3280 [details] [review]
Patch
Comment 3 Katrin Fischer 2011-03-13 20:09:25 UTC
Created attachment 3286 [details]
normal view like it is now
Comment 4 Katrin Fischer 2011-03-13 20:09:52 UTC
Created attachment 3287 [details]
normal view after patch
Comment 5 Katrin Fischer 2011-03-13 20:13:11 UTC
Signing-off on this, it works like described.

I like the new display, it seems more consistent and a bit cleaner to me. Not sure if this is the majority opinion though.
Comment 6 Chris Cormack 2011-03-14 07:54:10 UTC
Pushed, please test and mark resolved
Comment 7 Marcel de Rooy 2011-03-14 08:17:24 UTC
Works for me. Anyone else to close it?
Comment 8 Julian Maurice 2011-03-14 15:02:28 UTC
Created attachment 3292 [details]
duplicated tabs

On Normal view I see the tabs twice (see screenshot).
Marc/Plain/ISBD views display well.
Comment 9 Marcel de Rooy 2011-03-15 11:55:13 UTC
I notice that the tabs are not the same.
Are you using a custom xslt stylesheet?
The stylesheet for MARC21 opac details was adjusted in the patch. Is it possible that these views are still in your Unimarc xslt file?
Comment 10 Marcel de Rooy 2011-03-15 12:27:07 UTC
Julian,
I see that lines 55 up to 69 still contain the views in a div tag in the UNIMARCslim2OPACDetail.xsl in koha-tmpl/opac-tmpl/prog/en/xslt.
Could you please test removing them?
Comment 11 Julian Maurice 2011-03-16 09:57:45 UTC
(In reply to comment #10)
> Julian,
> I see that lines 55 up to 69 still contain the views in a div tag in the
> UNIMARCslim2OPACDetail.xsl in koha-tmpl/opac-tmpl/prog/en/xslt.
> Could you please test removing them?

That's it! Preparing a patch for Unimarc stylesheet...
Comment 12 Julian Maurice 2011-03-16 10:04:44 UTC
Created attachment 3321 [details] [review]
Patch for Unimarc stylesheet
Comment 13 Chris Cormack 2011-03-17 21:53:19 UTC
Follow up patch for UNIMARC pushed, please test
Comment 14 MJ Ray (software.coop) 2011-04-03 23:19:24 UTC
This bug is mentioned in:
Bug 5848: Same position for the	tabs of Normal, MARC and ISBD view in opac detail http://lists.koha-community.org/pipermail/koha-patches/2011-March/014035.html
Bug 5848: Remove duplicated tabs in opac	details for Unimarc http://lists.koha-community.org/pipermail/koha-patches/2011-March/014079.html
Bug 5848: Remove duplicated tabs in opac details for Unimarc http://lists.koha-community.org/pipermail/koha-patches/2011-March/014100.html